Detector Hub
POST
/v1/orgs/{org_id}/detectors/installInstall Detector
Install a detector from the catalog for an organization.
CI or Admin tokenscope: writeoperation_id: detectors.install
Authentication
Requires a CI- or admin-level token. Runtime tokens are rejected for mutations.
SDK install
pip install znyx-sdknpm install @znyx/sdkPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | — |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | — |
| authorization#header | string | null | optional | — |
Request bodyrequired
| Field | Type | Required | Description |
|---|---|---|---|
| detector_id | string | required | — |
| environment_id | string | null | optional | — |
| config_overrides | object | null | optional | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
idrequiredstring
org_idrequiredstring
detector_idrequiredstring
environment_idstring | null
config_overridesobject | null
is_activeboolean
installed_atstring | null
detector_namestring | null
detector_display_namestring | null
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have the required role (admin / editor). | — |
| 404 | Target resource does not exist in this org. | — |
| 422 | Request body failed validation. | — |
Request
curl -X POST 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/detectors/install' \
-H 'Authorization: Bearer $ZNYX_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"detector_id": "string",
"environment_id": null,
"config_overrides": null
}'Response
application/json
Successful Response
{
"id": "string",
"org_id": "string",
"detector_id": "string",
"environment_id": null,
"config_overrides": null,
"is_active": false,
"installed_at": null,
"detector_name": null,
"detector_display_name": null
}Schema: object